Create task minimax/video-01
Official document: https://replicate.com/minimax/video-01
POST
/replicate/v1/models/minimax/video-01/predictionsBody Parametersapplication/json
input object
Input content
properties prompt* string
Generate text prompts.
prompt_optimizer boolean
Use hint optimizer. Default value: true
Responses
200 application/json
response-200 object
properties created_at string
Creation time
data_removed boolean
Whether sensitive data has been removed
error string nullable
Error message
id* string
Resource or task ID
input object
Input content
logs string
Run logs
model string
Model name / model ID
output string nullable
Output result
status* string
Status
urls object
List of resource URLs
version string
Version
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"input": {
3"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
4"prompt_optimizer": true
5}
6}
1curl -X POST "https://api.digislash.com/replicate/v1/models/minimax/video-01/predictions" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"input": {
6"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
7"prompt_optimizer": true
8}
9}'
1▼{
2"created_at": "2025-07-30T01:41:10.089Z",
3"data_removed": false,
4"id": "ree8dymk95rmc0crb3yt2pqhr4",
5▼"input": {
6"prompt": "a woman is walking through a busy Tokyo street at night, she is wearing dark sunglasses",
7"prompt_optimizer": true
8},
9"logs": "",
10"model": "minimax/video-01",
11"status": "starting",
12▼"urls": {
13"cancel": "https://api.replicate.com/v1/predictions/ree8dymk95rmc0crb3yt2pqhr4/cancel",
14"get": "https://api.replicate.com/v1/predictions/ree8dymk95rmc0crb3yt2pqhr4",
15"stream": "https://stream.replicate.com/v1/files/bcwr-wykptlq2o5ws5ukylao2u654xfxv6aaaekgxijlr7aibzkftt7bq",
16"web": "https://replicate.com/p/ree8dymk95rmc0crb3yt2pqhr4"
17},
18"version": "hidden"
19}
